Post a linked batch of entries
curl --request POST \
--url https://api.panoqore.example/v1/entries:batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"entries": [
{
"kind": "TRANSFER",
"postings": [
{
"accountId": "<string>",
"amount": "500000",
"currency": "NGN",
"ifMatchVersion": "<string>"
}
],
"description": "<string>",
"effectiveAt": "2023-11-07T05:31:56Z",
"externalRef": "order-1042",
"pending": true,
"metadata": {},
"holdId": "<string>",
"feeSchedule": "<string>",
"uniqueExternalRef": true
}
]
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
entries: [
{
kind: 'TRANSFER',
postings: [
{
accountId: '<string>',
amount: '500000',
currency: 'NGN',
ifMatchVersion: '<string>'
}
],
description: '<string>',
effectiveAt: '2023-11-07T05:31:56Z',
externalRef: 'order-1042',
pending: true,
metadata: {},
holdId: '<string>',
feeSchedule: '<string>',
uniqueExternalRef: true
}
]
})
};
fetch('https://api.panoqore.example/v1/entries:batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.panoqore.example/v1/entries:batch"
payload = { "entries": [
{
"kind": "TRANSFER",
"postings": [
{
"accountId": "<string>",
"amount": "500000",
"currency": "NGN",
"ifMatchVersion": "<string>"
}
],
"description": "<string>",
"effectiveAt": "2023-11-07T05:31:56Z",
"externalRef": "order-1042",
"pending": True,
"metadata": {},
"holdId": "<string>",
"feeSchedule": "<string>",
"uniqueExternalRef": True
}
] }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.panoqore.example/v1/entries:batch"
payload := strings.NewReader("{\n \"entries\": [\n {\n \"kind\": \"TRANSFER\",\n \"postings\": [\n {\n \"accountId\": \"<string>\",\n \"amount\": \"500000\",\n \"currency\": \"NGN\",\n \"ifMatchVersion\": \"<string>\"\n }\n ],\n \"description\": \"<string>\",\n \"effectiveAt\": \"2023-11-07T05:31:56Z\",\n \"externalRef\": \"order-1042\",\n \"pending\": true,\n \"metadata\": {},\n \"holdId\": \"<string>\",\n \"feeSchedule\": \"<string>\",\n \"uniqueExternalRef\": true\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"entries": [
{
"id": "<string>",
"status": "PENDING",
"kind": "<string>",
"description": "<string>",
"effectiveAt": "2023-11-07T05:31:56Z",
"businessDate": "<string>",
"externalRef": "<string>",
"reversesId": "<string>",
"reversedById": "<string>",
"fxRateId": "<string>",
"holdId": "<string>",
"postings": [
{
"id": "<string>",
"entryId": "<string>",
"accountId": "<string>",
"side": "DEBIT",
"amount": "<string>",
"currency": "<string>",
"seq": 123,
"accountName": "<string>",
"accountCode": "<string>",
"balanceAfter": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"metadata": {},
"createdBy": {
"kind": "PERSON",
"id": "<string>",
"displayName": "<string>"
},
"approvedBy": {
"kind": "PERSON",
"id": "<string>",
"displayName": "<string>"
},
"latePosting": true,
"postedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"statusNote": "<string>"
}
]
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}Entries
Post a linked batch of entries
Linked batch: all entries commit or none do.
Scope: entries:write.
POST
/
v1
/
entries:batch
Post a linked batch of entries
curl --request POST \
--url https://api.panoqore.example/v1/entries:batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"entries": [
{
"kind": "TRANSFER",
"postings": [
{
"accountId": "<string>",
"amount": "500000",
"currency": "NGN",
"ifMatchVersion": "<string>"
}
],
"description": "<string>",
"effectiveAt": "2023-11-07T05:31:56Z",
"externalRef": "order-1042",
"pending": true,
"metadata": {},
"holdId": "<string>",
"feeSchedule": "<string>",
"uniqueExternalRef": true
}
]
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
entries: [
{
kind: 'TRANSFER',
postings: [
{
accountId: '<string>',
amount: '500000',
currency: 'NGN',
ifMatchVersion: '<string>'
}
],
description: '<string>',
effectiveAt: '2023-11-07T05:31:56Z',
externalRef: 'order-1042',
pending: true,
metadata: {},
holdId: '<string>',
feeSchedule: '<string>',
uniqueExternalRef: true
}
]
})
};
fetch('https://api.panoqore.example/v1/entries:batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.panoqore.example/v1/entries:batch"
payload = { "entries": [
{
"kind": "TRANSFER",
"postings": [
{
"accountId": "<string>",
"amount": "500000",
"currency": "NGN",
"ifMatchVersion": "<string>"
}
],
"description": "<string>",
"effectiveAt": "2023-11-07T05:31:56Z",
"externalRef": "order-1042",
"pending": True,
"metadata": {},
"holdId": "<string>",
"feeSchedule": "<string>",
"uniqueExternalRef": True
}
] }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.panoqore.example/v1/entries:batch"
payload := strings.NewReader("{\n \"entries\": [\n {\n \"kind\": \"TRANSFER\",\n \"postings\": [\n {\n \"accountId\": \"<string>\",\n \"amount\": \"500000\",\n \"currency\": \"NGN\",\n \"ifMatchVersion\": \"<string>\"\n }\n ],\n \"description\": \"<string>\",\n \"effectiveAt\": \"2023-11-07T05:31:56Z\",\n \"externalRef\": \"order-1042\",\n \"pending\": true,\n \"metadata\": {},\n \"holdId\": \"<string>\",\n \"feeSchedule\": \"<string>\",\n \"uniqueExternalRef\": true\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"entries": [
{
"id": "<string>",
"status": "PENDING",
"kind": "<string>",
"description": "<string>",
"effectiveAt": "2023-11-07T05:31:56Z",
"businessDate": "<string>",
"externalRef": "<string>",
"reversesId": "<string>",
"reversedById": "<string>",
"fxRateId": "<string>",
"holdId": "<string>",
"postings": [
{
"id": "<string>",
"entryId": "<string>",
"accountId": "<string>",
"side": "DEBIT",
"amount": "<string>",
"currency": "<string>",
"seq": 123,
"accountName": "<string>",
"accountCode": "<string>",
"balanceAfter": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"metadata": {},
"createdBy": {
"kind": "PERSON",
"id": "<string>",
"displayName": "<string>"
},
"approvedBy": {
"kind": "PERSON",
"id": "<string>",
"displayName": "<string>"
},
"latePosting": true,
"postedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"statusNote": "<string>"
}
]
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}Authorizations
An API key, pk_live_… or pk_test_….
Headers
Your unique key for this write, at most 255 characters. A retry with the same key and body gets the first answer back.
Maximum string length:
255Body
application/json
Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes